
import React from 'react';
import Icon from 'react-icon-base';

const SlHeart = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M287.984 845.84c31.376 0 88.0938 -15.0078 180.094 -105.616l45.6162 -44.9121l44.9277 45.6318c63.8721 64.8965 131.84 105.2 177.376 105.2c61.4082 0 109.809 -21.0078 157.009 -68.0957c44.4639 -44.3682 68.9922 -103.36 68.9922 -166.112 c0.0322266 -62.7842 -24.4482 -121.824 -69.4082 -166.672c-3.66406 -3.71191 -196.992 -212.304 -358.96 -387.104c-7.63184 -7.24805 -16.3516 -8.32031 -20.9912 -8.32031c-4.57617 0 -13.2002 1.02441 -20.7998 8.09668c-39.4717 43.9043 -325.552 362 -358.815 395.232 c-44.5283 44.416 -69.0244 103.456 -69.0244 166.224c0.015625 62.752 24.5117 121.728 69.04 166.144c43.2959 43.2637 93.9844 60.3037 154.944 60.3037zM287.982 909.84c-76.5283 0 -144 -22.8955 -200.176 -79.0078c-117.072 -116.768 -117.072 -306.128 0 -422.96 c33.4238 -33.4404 357.855 -394.337 357.855 -394.337c18.4805 -18.4961 42.7529 -27.6797 66.9609 -27.6797c24.2236 0 48.3994 9.18359 66.9111 27.6797c0 0 354.88 383.024 358.656 386.849c117.04 116.88 117.04 306.24 0 423.008 c-58.1123 58 -123.024 86.7842 -202.208 86.7842c-75.6484 0 -160 -60.3203 -223.008 -124.32c-64.9922 63.9844 -146.736 123.984 -224.992 123.984v0z"/></g>
    </Icon>
);

export default SlHeart;
